Bonsoir Johan,

J'ai téléchargé la nouvelle version 0.7.1 officielle présente maintenant
sur le site Galette.
Je l'ai installée, configuration OK comme l'autre fois et... toujours
problème lors de l'exécution de indix.php.

J'ai alors activé les traces.

Une erreur m'indiquait qu'il ne trouvait pas la classe SmartyBC. Je me
suis aperçu que dans le fichier config/version.inc.php, la version de
Smarty était 3.1.8 alors que le nom du répertoire Smarty est
include/Smarty-3.1.12.
J'ai changé le numéro de version dans config/version.inc.php.

Maintenant, je n'ai plus la même erreur. J'ai ça :
 
------------------------------------------------------------------------
-
Fatal error: Uncaught exception 'SmartyCompilerException' with message
'Syntax Error in template
"/home/vhosts/vsm.orgfree.com/galette/templates/default/public_page.tpl"
on line 2 "<html lang="{$galette_lang}"
class="public_page{if $additionnal_html_class}
{$additionnal_html_class}{/if}">" unknown tag
"private_print_expression"' in
/home/vhosts/vsm.orgfree.com/galette/includes/Smarty-3.1.12/sysplugins/s
marty_internal_templatecompilerbase.php:657 Stack trace: #0
/home/vhosts/vsm.orgfree.com/galette/includes/Smarty-3.1.12/sysplugins/s
marty_internal_templatecompilerbase.php(443):
Smarty_Internal_TemplateCompilerBase->trigger_template_error('unknown
tag "pr...', 2) #1
/home/vhosts/vsm.orgfree.com/galette/includes/Smarty-3.1.12/sysplugins/s
marty_internal_templateparser.php(2353):
Smarty_Internal_TemplateCompilerBase->compileTag('private_print_e...',
Array, Array) #2
/home/vhosts/vsm.orgfree.com/galette/includes/Smarty-3.1.12/sysplugins/s
marty_inte in
/home/vhosts/vsm.orgfree.com/galette/includes/Smarty-3.1.12/sysplugins/s
marty_internal_templatecompilerbase.php on line 657
-----------------------------------------------------------------------

Bon il est un peu tard maintenant. Je regarderai de nouveau demain.

A+

Denis.




-----Message d'origine-----
De : galette-discussion-boun...@gna.org
[mailto:galette-discussion-boun...@gna.org] De la part de Johan
Cwiklinski
Envoyé : vendredi 5 octobre 2012 18:51
À : Galette general discussion
Objet : Re: [Galette-discussion] RE : Problème execution galette 0.7.1

Salut,

Le 04/10/2012 18:12, Denis Capouillez a écrit :
> Bonjour,
> 
> Merci pour votre réponse.
> Oui, c'est bien PHP >=5.3 dispo sur le serveur (5.3.10)
> La version 0.7.0 de Galette fonctionne d'ailleurs parfaitement.

Ouais, je me doutais que c'était le bon .php... mais on sait jamais, un
.htaccess mal placé (si la 5.3 n'est pas la version par défaut...).

> A l'istall, tout fonctionne parfaitement, pas d'erreurs, les tables
sont
> bien créées. C'est au moment de lancer index.php que ça ne marche
plus.

C'est là que je ne comprends pas... L'install vérifie les modules et les
droits des différents dossiers, il ne devrait pas y avoir de soucis :(

> 
> Je vais essayer de voir pour l'affichage des erreurs.

Ça a donnée quelque chose ?

++
-- 
Johan



_______________________________________________
Galette-discussion mailing list
Galette-discussion@gna.org
https://mail.gna.org/listinfo/galette-discussion

Répondre à